<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui grid" id="contracts-list" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_READ)">
    <th:block th:fragment="contracts-list">
      <div class="row" th:if="${not #lists.isEmpty(contracts)}">
        <div class="column">
          <h3 class="ui header" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">Contracts</h3>
          <div class="ui divider"></div>
          <div class="ui grid">
            <div class="row">
              <th:block th:each="contract, stat : ${contracts}">
                <div class="eight wide column">
                  <a th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTRACTS} + '/' + ${contract.id} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_UPDATE}}">
                    <div class="ui card " style="width: auto; margin-bottom: 20px">
                      <div class="content">
                        <h4 class="ui header" th:text="${contract.name}"></h4>
                        <div class="meta">
                          <span class="category" th:text="${contract.subArea.abbreviation}"></span>
                          <th:block th:replace="common/fragments/fieldstatus :: status(statusId = 'contract.status.id',
													statusName ='contract.status.name',
													side = 'right' )" />
                        </div>
                      </div>
                      <div class="extra content">
                        <div class="ui small progress active" th:data-total="${contract.hours}" th:data-value="${contract.timeSpent}" th:data-percent="${contract.timeSpent}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
                          <div class="bar" th:style="'transition-duration: 300ms; width: ' + ${contract.percentageCompleted} +'% ;'">
                            <div class="progress" th:text="${contract.timeSpent + ' h'}"></div>
                          </div>
                          <div th:if="${contract.hours < contract.timeSpent}" style="background: white !important;">
                            <span class="category" th:text="'Overtime : ' + ${contract.timeSpent -contract.hours} + ' hours'"></span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </a>
                </div>
                <br />
              </th:block>
            </div>
          </div>
        </div>
      </div>
    </th:block>
  </div>
  <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
</body>
</html>